[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [igraph] python-igraph OSX Lion install errors

From: Tamas Nepusz
Subject: Re: [igraph] python-igraph OSX Lion install errors
Date: Fri, 04 Nov 2011 15:08:02 +0100
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:7.0.1) Gecko/20110929 Thunderbird/7.0.1


Okay, this time I'm trying it on my own machine:

First, I download igraph and extract it. Then I do this (an alternate way of
specifying compile flags at configuration time):

$ CFLAGS="-arch i386" CXXFLAGS="-arch i386" ./configure
$ make

Then I check the architecture of the generated lib:

$ file src/.libs/libigraph.0.dylib
src/.libs/libigraph.0.dylib: Mach-O dynamically linked shared library i386

Then I install it and check whether it's really installed:

$ make install
$ file /usr/local/lib/libigraph.0.dylib
/usr/local/lib/libigraph.0.dylib: Mach-O dynamically linked shared library i386

Let me know if this does not work for you.

> and repeated the commands. But the error remains the same - only that the 
> "gcc-4.0" phrase is replaced with "gcc-4.2": 
Good, at least it's trying it with gcc-4.2 and not gcc-4.0. The funny thing
is that I _do_ have /usr/bin/gcc-4.2 on my machine:

$ ls -la /usr/bin/gcc-4.2
-rwxr-xr-x  1 root  wheel  113024 May 16 06:37 /usr/bin/gcc-4.2

It is not a symlink to llvm-gcc-4.2, so I have a non-LLVM gcc from somewhere
(as well as the LLVM-based one). At this point I'm a bit stumped as I don't
know where did I get it from -- as far as I remember, I only installed the
XCode Developer Tools. Have you installed that already?


reply via email to

[Prev in Thread] Current Thread [Next in Thread]